Mailinglist Archive: yast-commit (1173 mails)

< Previous Next >
[yast-commit] [yast/yast-isns] 8e2d09: Fix crash when need package is not installed yet (...
Branch: refs/heads/master
Home: https://github.com/yast/yast-isns
Commit: 8e2d09072d58f30b2540329454b73ef9dcc76d8c

https://github.com/yast/yast-isns/commit/8e2d09072d58f30b2540329454b73ef9dcc76d8c
Author: David Díaz <1691872+dgdavid@xxxxxxxxxxxxxxxxxxxxxxxx>
Date: 2018-08-23 (Thu, 23 Aug 2018)

Changed paths:
M package/yast2-isns.changes
M package/yast2-isns.spec
M src/include/isns/complex.rb
M src/include/isns/dialogs.rb

Log Message:
-----------
Fix crash when need package is not installed yet (#19)

* Load the service widget lazily

This module needs to have "open-isns" installed in the system to work
properly, reason why the service widget initialization must be done
after checking the environment, task done by the IsnsServer.Read

* Update version and changelog



**NOTE:** This service has been marked for deprecation:
https://developer.github.com/changes/2018-04-25-github-services-deprecation/

Functionality will be removed from GitHub.com on January 31st, 2019.
< Previous Next >
This Thread
  • No further messages